GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtVregType Class Reference
Register Allocation

Type of the virtual register. More...

`#include <igt_vreg.h>`

## Public Member Functions
constexpr | GtVregType (VREG_TYPE v=VREG_TYPE_INVALID)
| Conversion constructor.
constexpr | operator VREG_TYPE () const
| Conversion operator.
constexpr bool | IsValid () const
| Return true for a valid type.
const char * | ToString () const
| Return string representation.
## Static Public Member Functions
static GtVregType | MakeBySize (uint32_t size)
| Given size of the virtual register in bytes, return the corresponding register type.

## Detailed Description

Type of the virtual register.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT